char usagestr[] =
"General:\n"
"-i input.file  override stdin\n"
"-o output.file override stdout\n"
"-p passphrase  supply passphrase\n"
"-r ringf.pkr   use public keyring\n"
"-R ringf.skr   use secret keyring\n"
"\nLiteral:\n"
"-l file.name   literalize as file.name\n"
"\nSign:\n"
"-k keyid       Sign with keyid\n"
"-d hash        Sign using digest\n"
"-1             Generate onepass sig header, and V3 sig\n"
"-n             Generate onepass sig header only, nest=0\n"
"-3             Generate V3 Signature (detached)\n"
"-4             Generate V4 Signature (detached)\n"
"-5             Generate onepass sig header and V4 Sig\n"
"-6             Generate onepass sig header only, nest=1\n"
"-t sigtype     Signature type, 0 is binary, 1 is text, etc.\n"
"\nCompress:\n"
"-z, -2         Compress (-2 is for pgp2 compatibility)\n"
"-L lvl         Compression level (0-9, default is 1)\n"
"\nEncrypt:\n"
"-e keyid       PKEncrypt to keyid\n"
"-C             Symmetrical Encryption using encrypted session key\n"
"-c             Symmetrical Encryption using only passphrase\n"
"-s alg         Encrypt from passphrase using conventional alg\n"
"-x alg         Encrypt from passphrase using salt alg\n"
"-y alg         Encrypt from passphrase using hash alg\n"
"-a symalg      encrypt using symmetric alg\n"
"\nArmor:\n"
"-m MESSAGE     Armor (MESSAGE appears as type)\n"
"\nOther:\n"
"-v sig.file    Verify stdin v.s. this detached signature\n"
"-O             Convert new to old CTB format\n"
#ifndef NOPIPE
"\nOtherwise extract until a literal is unpacked or text is found\n"
"or use -I to extract only a single step\n"
"Literal, Sign, Compress, Encrypt, and Armor can be combined.\n"
#else
"\nOtherwise extract one step (dearmor, decrypt, decompr, delit)\n"
#endif
 ;
